All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::is_cpu_scalar< T > Struct Template Reference

Helper struct for checking whether a type is a host scalar type (e.g. float, double) More...

`#include <forwards.h>`

## Public Types

enum | { value = false }

## Detailed Description

### template<typename T>
struct viennacl::is_cpu_scalar< T >

Helper struct for checking whether a type is a host scalar type (e.g. float, double)

Definition at line 448 of file forwards.h.

## Member Enumeration Documentation

template<typename T >

anonymous enum

Enumerator
value |

Definition at line 450 of file forwards.h.

The documentation for this struct was generated from the following file:

- viennacl/forwards.h